org.springframework.cloud.dataflow.configuration.metadata

## Class ApplicationConfigurationMetadataResolver

- java.lang.Object
- - org.springframework.cloud.dataflow.configuration.metadata.ApplicationConfigurationMetadataResolver

- Direct Known Subclasses:
    BootApplicationConfigurationMetadataResolver

      public abstract class ApplicationConfigurationMetadataResolver
      extends Object

  Used to retrieve metadata about the configuration properties that can alter an application's behavior.
  Author:
    Eric Bottard

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApplicationConfigurationMetadataResolver()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `URLClassLoader` | `createAppClassLoader(org.springframework.core.io.Resource app)` For resolvers that support it, create a new ClassLoader that is able to load classes for the given app.
    `abstract Map<String,Set<String>>` | `listPortNames(org.springframework.core.io.Resource metadataResource)`
    `List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty>` | `listProperties(org.springframework.core.io.Resource metadataResource)`
    `abstract List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty>` | `listProperties(org.springframework.core.io.Resource metadataResource, boolean exhaustive)` Return metadata about configuration properties that are documented via Spring Boot configuration metadata and visible in an app.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ApplicationConfigurationMetadataResolver

          public ApplicationConfigurationMetadataResolver()

  - ### Method Detail

    - #### listProperties

          public List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty> listProperties(org.springframework.core.io.Resource metadataResource)

    - #### createAppClassLoader

          public URLClassLoader createAppClassLoader(org.springframework.core.io.Resource app)

      For resolvers that support it, create a new ClassLoader that is able to load classes for the given app. The default implementation returns an empty classloader
      Parameters:
        `app` - an app to create a ClassLoader for
      Returns:
        a new ClassLoader. Callers are responsible for closing the returned class loader.

    - #### listProperties

          public abstract List<org.springframework.boot.configurationmetadata.ConfigurationMetadataProperty> listProperties(org.springframework.core.io.Resource metadataResource,
                                                                                                                            boolean exhaustive)

      Return metadata about configuration properties that are documented via Spring Boot configuration metadata and visible in an app.
      Parameters:
        `metadataResource` - the metadata file that contains app specific configuration properties. Typically a JAR file containing the configuration metadata files or the app that includes metadata files as well.
        `exhaustive` - return all metadata, including common Spring Boot properties
      Returns:
        the list of configuration metdata properties

    - #### listPortNames

          public abstract Map<String,Set<String>> listPortNames(org.springframework.core.io.Resource metadataResource)

Copyright © 2021 Pivotal Software, Inc.. All rights reserved.